cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

“CaptureOnTouch Lite Launcher” needs to be updated.

asaab78
Apprentice

I have a Canon scanner I purchased last year: Canon ImageFORMULA P-208II. It's been working great, except I just discovered that there is no compatible software for Catalina! Really need to scan some documents. Is there some generic scanning software that will control this scanner? 

 

The pop up message I am getting when I launch the scanner is:

 

“CaptureOnTouch Lite Launcher” needs to be updated.

The developer of this app needs to update it to work with this version of macOS. Contact the developer for more information.

 

Any advice that doesn't involve buying a new scanner or reverting to the previous OS is appreciated.

 

Thanks.

3 REPLIES 3

shadowsports
Legend
Legend

Greetings,

What version of the Canon Formula software are you running?

 

v1.7.19.1206 is certified for Catalina OS.

 

https://www.usa.canon.com/internet/portal/us/home/support/details/scanners/document-scanner/imagefor...

 

 

~Rick
Bay Area - CA


~R5 C (1.0.7.1) ~RF Trinity, ~RF 100 Macro, ~RF 100~400, ~RF 100~500, +RF 1.4x TC, +Canon Control Ring, BG-R10, 430EX III-RT ~DxO PhotoLab Elite ~DaVinci Resolve ~Windows11 Pro ~ImageClass MF644Cdw/MF656Cdw ~Pixel 8
~CarePaks Are Worth It

Ealesy
Apprentice

Did you solve this or just get another scanner???

Aquiligia
Apprentice

This is the second scanner I have had this problem with. Great scanners but I will not be buying another Canon scanner. I feel as though I am wasting my money.

Avatar
click here to view the gallery
Announcements